@mixin  circle-div-btn($diameter) {
  display: inline-block;
  width: #{$diameter}px;
  height: #{$diameter}px;
  border-radius: #{$diameter / 2 + 1}px;
  font-size: #{$diameter / 2}px;
  text-align: center;
  line-height: #{$diameter - 2}px;;
  vertical-align: middle;
}

@mixin literal-div-btn($diameter, $color, $fillBackgroundColor: false, $textColor: #143a61) {
  height: #{$diameter + 20}px;
  border: 1px solid;
  border-radius: #{ ($diameter + 20) / 2 + 1}px;
  padding: 0 20px;
  font-size: #{$diameter / 3 * 2}px;
  font-weight: bolder;
  text-align: center;
  line-height: #{$diameter + 20}px;
  vertical-align: middle;
  @if $fillBackgroundColor == true {
    background-color: $color;
    color: $textColor;
    border-color: $color;
  }
  @else {
    background-color: #fff0;
    color: $color;
  }

  &:focus {
    outline: 0;
  }
  &:active, &:hover {
    border-color: $color;
    background-color: $color;
    color: #fff;
  }
  &:active {
    -webkit-filter: brightness(0.8);
  }
  &:hover {
    -webkit-filter: brightness(1.2);
  }
}

$sm: 576px;
$md: 768px;
$lg: 992px;
$xl: 1200px;
$xxl: 1600px;
